Downgrading stackstom from 3.5 to 3.4 facing issue

Hi Team,

We have installed latest version of stackstorm pack st2 3.5.0, on Python 3.6.8 on our linux 8 server ,when we try to downgrade the server to 3.4.1 ,we are facing the below error.

Earlier:
st2 --version
st2 3.5.0, on Python 3.6.8

Now:
st2 --version
st2 3.4.1, on Python 3.6.8

The error we are facing is
st2 pack list
ERROR: (‘Connection aborted.’, ConnectionResetError(104, ‘Connection reset by peer’))
st2 pack install jira
ERROR: (‘Connection aborted.’, ConnectionResetError(104, ‘Connection reset by peer’))

Logs:
Traceback (most recent call last):
File “/opt/stackstorm/st2/lib/python3.6/site-packages/st2common/metrics/base.py”, line 228, in metrics_initialize
METRICS = get_plugin_instance(PLUGIN_NAMESPACE, cfg.CONF.metrics.driver)
File “/opt/stackstorm/st2/lib/python3.6/site-packages/st2common/util/loader.py”, line 223, in get_plugin_instance
namespace=namespace, name=name, invoke_on_load=invoke_on_load
File “/opt/stackstorm/st2/lib/python3.6/site-packages/stevedore/driver.py”, line 61, in init
warn_on_missing_entrypoint=warn_on_missing_entrypoint
File “/opt/stackstorm/st2/lib/python3.6/site-packages/stevedore/named.py”, line 89, in init
self._init_plugins(extensions)
File “/opt/stackstorm/st2/lib/python3.6/site-packages/stevedore/driver.py”, line 113, in _init_plugins
(self.namespace, name))
stevedore.exception.NoMatches: No ‘st2common.metrics.driver’ driver found, looking for ‘noop’

During handling of the above exception, another exception occurred: